# Enum Class ParagraphDirection

java.lang.Object
java.lang.Enum<ParagraphDirection>
jfx.incubator.scene.control.richtext.model.ParagraphDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<ParagraphDirection>`, `Constable`

public enum ParagraphDirection extends Enum<ParagraphDirection>
Paragraph direction attribute.

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LEFT_TO_RIGHT`
  Indicates the left-to-right writing direction.
  `RIGHT_TO_LEFT`
  Indicates the right-to-left writing direction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParagraphDirection`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParagraphDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT_TO_RIGHT

    public static final ParagraphDirection LEFT_TO_RIGHT
    Indicates the left-to-right writing direction.

  - ### RIGHT_TO_LEFT

    public static final ParagraphDirection RIGHT_TO_LEFT
    Indicates the right-to-left writing direction.

- ## Method Details

  - ### values

    public static ParagraphDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParagraphDirection valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null